CMSIS-RTOS: osPoolDef_t Struct Reference

| CMSIS-RTOS Version 1.03 Real-Time Operating System: API and RTX Reference Implementation.

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
osPoolDef_t Struct Reference

Definition structure for memory block allocation. More...

## Data Fields

uint32_t | pool_sz
| number of items (elements) in the pool More...
uint32_t | item_sz
| size of an item More...
void * | pool
| pointer to memory for pool More...

## Description

Note
  CAN BE CHANGED: os_pool_def is implementation specific in every CMSIS-RTOS.

## Field Documentation

uint32_t item_sz

void* pool

uint32_t pool_sz